Subject: Re: [PATCH 5/5] libata/drivers: Add pata_macio, driver Apple PowerMac/PowerBook IDE controller

From: Tejun Heo <[email-masked]>
Date: Wed, 02 Dec 2009 10:55:28 +0900

Hello,

On 12/02/2009 10:51 AM, Benjamin Herrenschmidt wrote:
> I'm not sure what media bay locking problem you mentioned tho...
> 
> The way the driver does the locking now is that I block the media-bay
> thread (lock/unlock_media_bay calls) around initial registration and
> driver removal which blocks the callback event. At any other time, the
> callback event will just schedule EH so things should be fine.
> 
> I've left the debouncing in the mediabay code as well for both insertion
> and removal so there should be no issue here with glitches.

Ah... okay, I was misunderstanding where the race was.  If there's no
race condition against hotplug/unplug events with non-probing EH, no
problem.

-- 
tejun